Yuki Platform API Prod

Search Company by Customer Code

This endpoint allows searching for a company within a specific portal by its internal customer code. Returns the company details if a match is found. Users attempting to perform this operation need to ensure they possess the necessary permissions. You should have yukiapi:portal:portals:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/companies/search/byCustomerCode

Query Parameters

customerCodestringrequired

The internal customer code to search for

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Company object

Company

Company information object.

idstring(uuid)

Unique identifier of the company.

Example:123e4567-e89b-12d3-a456-426614174000

companyNamestring

The name of the company.

Example:Example Corp

companyDescriptionstring

A brief description of the company.

Example:Example Corp is a leading provider of innovative solutions.

addressobject

Address information object.

Show Child Parameters
mailingAddressobject

Address information object.

Show Child Parameters
countrystring | null

Country ISO code.

Example:NL

emailAddressstring

Email address.

Example:info@example.com

phonestring

Phone number.

Example:+31 20 123 4567

websitestring

Company website (optional).

Example:https://example.com

legalFormstring

Legal form of the company.
BE: Unknown, SolePartnership, PrivateLimited, PublicLimited, GeneralPartnership, LimitedPartnership, Partnership, Association, Foundation, Cooperative.
NL: values to be added later

Allowed values:UnknownSolePartnershipPrivateLimitedPublicLimitedGeneralPartnershipLimitedPartnershipPartnershipAssociationFoundationCooperative

Example:PrivateLimited

cocNumberstring

Chamber of Commerce number.

Example:12345678

internalCustomerCodestring

Internal customer code (optional).

Example:CUST001

accountingStartingDatestring(date)

Accounting starting date.

Example:2024-01-01

financialobject

Financial object containing financial-related settings.

Show Child Parameters
peppolConfigurationobject

Peppol configuration object containing Peppol-related settings.

Show Child Parameters
 
application/json

Domain

Operations related to domains

Create Domain

This endpoint allows the creation of a new domain. Ensure you have the necessary permissions before attempting to create a domain. You should have yukiapi:domain:domains:create and yukiapi:domain:domains:write scopes to access this endpoint.

post
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

CreateDomain

Schema for creating a new domain.

* Additional properties are NOT allowed.
namestringrequired

The domain name. If not supplied, will be generated from company name. Only lowercase letters, number and dashes are allowed.

Example:my-company-name

statusstringrequired

The status of the domain for creation purposes.

Allowed values:StartupActive

Example:Active

bundlestringrequired

The bundle type for the domain.

Allowed values:MinimalSmallMediumLargeUnlimited

Example:Medium

languagestringrequired

The locale for the domain.
BE: nl-BE, en-US, fr-BE.
NL: en-US, nl-NL

Allowed values:nl-BEen-USfr-BEnl-NL

Example:en-US

companyobjectrequired

Company information object.

Show Child Parameters
createCustomerUserbooleanrequired

Whether to create a customer user.

Example:true

customerNamestringrequired

The name of the customer.

Example:John Doe

customerEmailstring(email)required

The email address of the customer.

Example:john.doe@yuki.nl

backofficeobject

Back office configuration settings.

Show Child Parameters

Response

application/json

Domain successfully created

idstring

The unique identifier of the created domain

Example:3afb7b54-6144-4561-9a29-1148006f2375

 
application/json

Get All Domains for a Portal

This endpoint allows the retrieval of all domains belonging to a Portal. Ensure you have the necessary permissions before attempting to retrieve the domains list. You should have yukiapi:portal:portals:read and yukiapi:domain:domains:read scopes to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains

Query Parameters

offsetinteger

The number of items to skip before starting to collect the result set

limitinteger

The numbers of items to return

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Paged result of domains

totalItemsinteger

Total number of items available

Example:100

offsetinteger

Current offset in the list

Example:10

limitinteger

Maximum number of items returned

Example:20

itemsarray[object]
Show Child Parameters
 
application/json

Update Domain

This endpoint allows the modification of an existing domain’s details. Ensure you have the necessary permissions before attempting to update a domain. You should have yukiapi:domain:domains:write and yukiapi:domain:domains:update scopes to access this endpoint.

put
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/domains/byName

Query Parameters

domain-namestringrequired

The domain name

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Body

application/json

UpdateDomain

Schema for updating an existing domain.

* Additional properties are NOT allowed.
backOfficeobjectrequired

Back office configuration settings.

Show Child Parameters

Response

Domain updated successfully.